EntryTypeConstants (Access Logger ASL Extension 1.3.0-4.1.0-125698 API)
Date: 2016-10-27

org.gcube.application.framework.accesslogger.model

## Class EntryTypeConstants

- java.lang.Object
- - org.gcube.application.framework.accesslogger.model.EntryTypeConstants

-     public class EntryTypeConstants
      extends Object

  All possible entry types for the access log
  Author:
    Panagiota Koltsida, NKUA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ABSTRACT_SEARCH_ENTRY`
    `protected static String` | `ADVANCED_SEARCH_ENTRY`
    `protected static String` | `BROWSE_COLLECTION_ENTRY`
    `protected static String` | `CREATE_ANNOTATIONS_ENTRY`
    `protected static String` | `DELETE_ANNOTATIONS_ENTRY`
    `protected static String` | `EDIT_ANNOTATIONS_ENTRY`
    `protected static String` | `GENERIC_ENTRY`
    `protected static String` | `GOOGLE_SEARCH_ENTRY`
    `protected static String` | `LOGIN_VRE_ENTRY`
    `protected static String` | `PREVIOUS_SEARCH_ENTRY`
    `protected static String` | `QUICK_SEARCH_ENTRY`
    `protected static String` | `RETRIEVE_CONTENT_ENTRY`
    `protected static String` | `SEMANTIC_ENRICHMENT_ENTRY`
    `protected static String` | `SIMPLE_SEARCH_ENTRY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryTypeConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERIC_ENTRY

          protected static final String GENERIC_ENTRY

      See Also:
        Constant Field Values

    - #### LOGIN_VRE_ENTRY

          protected static final String LOGIN_VRE_ENTRY

      See Also:
        Constant Field Values

    - #### ADVANCED_SEARCH_ENTRY

          protected static final String ADVANCED_SEARCH_ENTRY

      See Also:
        Constant Field Values

    - #### ABSTRACT_SEARCH_ENTRY

          protected static final String ABSTRACT_SEARCH_ENTRY

      See Also:
        Constant Field Values

    - #### SIMPLE_SEARCH_ENTRY

          protected static final String SIMPLE_SEARCH_ENTRY

      See Also:
        Constant Field Values

    - #### SEMANTIC_ENRICHMENT_ENTRY

          protected static final String SEMANTIC_ENRICHMENT_ENTRY

      See Also:
        Constant Field Values

    - #### QUICK_SEARCH_ENTRY

          protected static final String QUICK_SEARCH_ENTRY

      See Also:
        Constant Field Values

    - #### GOOGLE_SEARCH_ENTRY

          protected static final String GOOGLE_SEARCH_ENTRY

      See Also:
        Constant Field Values

    - #### BROWSE_COLLECTION_ENTRY

          protected static final String BROWSE_COLLECTION_ENTRY

      See Also:
        Constant Field Values

    - #### PREVIOUS_SEARCH_ENTRY

          protected static final String PREVIOUS_SEARCH_ENTRY

      See Also:
        Constant Field Values

    - #### CREATE_ANNOTATIONS_ENTRY

          protected static final String CREATE_ANNOTATIONS_ENTRY

      See Also:
        Constant Field Values

    - #### EDIT_ANNOTATIONS_ENTRY

          protected static final String EDIT_ANNOTATIONS_ENTRY

      See Also:
        Constant Field Values

    - #### DELETE_ANNOTATIONS_ENTRY

          protected static final String DELETE_ANNOTATIONS_ENTRY

      See Also:
        Constant Field Values

    - #### RETRIEVE_CONTENT_ENTRY

          protected static final String RETRIEVE_CONTENT_ENTRY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EntryTypeConstants

          public EntryTypeConstants()

Copyright © 2016. All Rights Reserved.